
QGIS Application - Bug report #6733

3D data from MSSQL cannot be read

2012-11-20 01:41 AM - asgerpetersen -

Status: Closed

Priority: Normal

Assignee: Tamas Szekeres

Category: Data Provider/MSSQL

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15897

Description

When QGIS reads a 3D geometry from MSSQL it messes up the coordinates, so resulting QGIS geometry is completely wrong.

A similar issue was fixed in OGR:

http://trac.osgeo.org/gdal/ticket/4626

http://trac.osgeo.org/gdal/ticket/4806

Associated revisions

Revision 3cf88405 - 2013-03-05 03:02 PM - Nathan Woodrow

Merge pull request #448 from szekerest/master

MSSQL Fixes (Fix #6733 and Fix #7254)

History

#1 - 2013-03-05 06:02 AM - Nathan Woodrow

- Status changed from Open to Closed

Fixed in changeset commit:"3cf88405695eb4dd8f4d0d70d5ad473eac51b738".
